Package org.springframework.security.web.util.matcher

# Class RequestMatcherEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.security.web.util.matcher.RequestMatcherEditor

All Implemented Interfaces:
  `PropertyEditor`

public class RequestMatcherEditor extends PropertyEditorSupport
PropertyEditor which creates ELRequestMatcher instances from Strings This allows to use a String in a BeanDefinition instead of an (inner) bean if a RequestMatcher is required, e.g. in `DelegatingAuthenticationEntryPoint`

Since:
  3.0.2

## Constructor Summary

Constructors
Constructor
Description
`RequestMatcherEditor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestMatcherEditor

public RequestMatcherEditor()

## Method Details

### setAsText

public void setAsText(String text) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`